Subject: bug#5475: Archives with filenames with square brackets

From: Lennart Borgman <[email-masked]>
Date: Thu, 28 Jan 2010 22:24:50 +0100

On Thu, Jan 28, 2010 at 10:05 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Chong Yidong <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Thu, 28 Jan 2010 15:07:09 -0500
>>
>> Eli Zaretskii <[email-masked]> writes:
>>
>> >> Well, archive-zip-extract already branches for pkzip/unzip
>> >
>> > Yes, but it does that by a user option, not by some hidden knowledge.
>> > I won't mind introducing a similar option that would tell arc-mode to
>> > quote the file arguments.
>>
>> Right, but once the user tells arc-mode to use unzip, we can
>> automagically shell-quote the filename; there seems to be no reason not
>> to.

Excuse me, I did not follow this thread at all, but I get curious.
What does shell-quote have to do with the arc-mode library? Does it
use a shell at all?

> If you want to glean the need for quoting from the value of
> archive-zip-extract (i.e. its car being "unzip"), I'm fine with that
> as well.  But as your patch is written, it imposes that on any unzip
> command, regardless of whether it was "unzip" or something else, like
> p7zip, for example.  That doesn't seem right to me.

Now that 7-zip is available on GNU/Linux too wouldn't it be very good
to include support for it?

>> It doesn't seem like anyone's going to test PKzip anytime soon.  In the
>> meantime, I have checked in the change to use shell-quote-argument for
>> unzip.
>
> My "soon" is once a week.  You only waited 2 days. :-(
>
>
>
>
>